0

zkstudio with basic java eclipse and without wtp?

asked 2008-10-12 13:20:21 +0800

simonmassey gravatar image simonmassey
90 1

I installed zkstudio on this version of the basic Java edition of eclipse:

Eclipse Platform
Version: 3.4.1
Build id: M20080911-1700

that only has the subclipse plug-in installed and it does not seem to work. Zul files are still treated as plain text with no outline features.

Looking at the user guide I cannot see any features of zkstudio that look like they would lead to a hard requirement to use eclipse j2ee edition or the wtp install. I develop on eclipse standard edition using maven and have it launch an embedded jetty container to develop and debug with. This setup is documented on the foodToGo SmallTalk. Will I be able to use zkstudio without installing an extra 80m of IDE (twice the size)?

delete flag offensive retag edit

6 Replies

Sort by ยป oldest newest

answered 2008-10-13 01:05:48 +0800

dennis gravatar image dennis
3669 1 6
http://www.javaworld.com....

Hi, I am sorry to tell you that, zk studio did use some feature/function/API of j2ee/WTP.
I don't think the size is the problem since the Disk is not expensive today.
Or, Did you have any other issue on this?

link publish delete flag offensive edit

answered 2008-10-13 21:57:41 +0800

simonmassey gravatar image simonmassey
90 1

Is it possible to have can you not have eclipse download and install just the wtp and j2ee dependencies named by the zkstudio plug-in? I already use Eclipse Java Basic edition so the upgrade of adding what I don't use is an "overhead" that makes me worry about whether my other workspaces will still work well if I have to upgrade to the largest version of the platform.

link publish delete flag offensive edit

answered 2008-10-14 11:44:01 +0800

dennis gravatar image dennis
3669 1 6
http://www.javaworld.com....

updated 2008-10-15 00:54:14 +0800

Hi, Simonmassey.
I don't really know what you want.
Do you mean you are worry about the worksapces will fail if you upgrade the eclipse with wtp? or it did happen?

ZK studio currently have to work with WTP, it is hard to remove the dependence.

Can you backup the workspace and eclipse, then give it a try?

link publish delete flag offensive edit

answered 2008-10-14 12:07:50 +0800

sousa1981 gravatar image sousa1981
573 4

Hi simonmassey,

According to my experience working with eclipse, I can guarantee to you that after an upgrade wtp and j2ee it will continue to work very well.

Use @Dennis is tip, first backup your workspace and eclipse.

link publish delete flag offensive edit

answered 2010-03-23 21:17:02 +0800

aktejo gravatar image aktejo
155 3

guys, is it true that zk studio is written for eclipse only,..
some people out there are using netbeans, including me.

there has been netbean pluggins REM500, but its not as cool as eclips zk plugin.

link publish delete flag offensive edit

answered 2010-03-24 20:27:48 +0800

PeterKuo gravatar image PeterKuo
481 2

@aktejo
sorry for that, but studio is only for eclipse.
After all, it depends on many other feature of eclipse, or third party library.

link publish delete flag offensive edit
Your reply
Please start posting your answer anonymously - your answer will be saved within the current session and published after you log in or create a new account. Please try to give a substantial answer, for discussions, please use comments and please do remember to vote (after you log in)!

[hide preview]

Question tools

Follow

RSS

Stats

Asked: 2008-10-12 13:20:21 +0800

Seen: 936 times

Last updated: Mar 24 '10

Support Options
  • Email Support
  • Training
  • Consulting
  • Outsourcing
Learn More